Index: src/sas/sasgui/perspectives/pr/explore_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -22,4 +22,6 @@
 import logging
 import sys
+
+logger = logging.getLogger()
 
 # Avoid Matplotlib complaining about the lack of legend on the plot
@@ -284,5 +286,5 @@
             msg += "a change in the " % str(output_type)
             msg += "ExploreDialog code."
-            logging.error(msg)
+            logger.error(msg)
 
     def __do_layout(self):
@@ -418,5 +420,5 @@
                 msg = "ExploreDialog: inversion failed "
                 msg += "for D_max=%s\n%s" % (str(d), sys.exc_value)
-                logging.error(msg)
+                logger.error(msg)
 
         self.results = results
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 18b7ecb9592132eb5e291874eb5b6c2046d54a45)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -17,4 +17,6 @@
 from pr_widgets import OutputTextCtrl
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+
+logger = logging.getLogger()
 
 if sys.platform.count("win32") > 0:
@@ -710,8 +712,8 @@
             self.alpha_ctl.SetValue(alpha)
         except ValueError:
-            logging.error("InversionControl._on_accept_alpha got a value that was not a number: %s" % alpha )
+            logger.error("InversionControl._on_accept_alpha got a value that was not a number: %s" % alpha )
         except:
             # No estimate or bad estimate, either do nothing
-            logging.error("InversionControl._on_accept_alpha: %s" % sys.exc_value)
+            logger.error("InversionControl._on_accept_alpha: %s" % sys.exc_value)
 
     def _on_accept_nterms(self, evt):
@@ -726,8 +728,8 @@
             self.nfunc_ctl.SetValue(nterms)
         except ValueError:
-            logging.error("InversionControl._on_accept_nterms got a value that was not a number: %s" % nterms )
+            logger.error("InversionControl._on_accept_nterms got a value that was not a number: %s" % nterms )
         except:
             # No estimate or bad estimate, either do nothing
-            logging.error("InversionControl._on_accept_nterms: %s" % sys.exc_value)
+            logger.error("InversionControl._on_accept_nterms: %s" % sys.exc_value)
 
     def clear_panel(self):
@@ -947,5 +949,5 @@
             except:
                 msg = "InversionControl._change_file: %s" % sys.exc_value
-                logging.error(msg)
+                logger.error(msg)
 
     def on_help(self, event):
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -22,4 +22,6 @@
 from sas.sascalc.dataloader.readers.cansas_reader import get_content
 
+logger = logging.getLogger()
+
 PRNODE_NAME = 'pr_inversion'
 CANSAS_NS = "cansas1d/1.0"
@@ -250,5 +252,5 @@
                     msg = "InversionState.fromXML: Could not read "
                     msg += "timestamp\n %s" % sys.exc_value
-                    logging.error(msg)
+                    logger.error(msg)
 
             # Parse inversion inputs
@@ -306,5 +308,5 @@
                         err_msg += "%d %d" % (len(self.coefficients),
                                               self.nfunc)
-                        logging.error(err_msg)
+                        logger.error(err_msg)
                         self.coefficients = None
 
@@ -343,5 +345,5 @@
                         err_msg += " covariance matrix: "
                         err_msg += "%d %d" % (len(self.covariance), self.nfunc)
-                        logging.error(err_msg)
+                        logger.error(err_msg)
                         self.covariance = None
 
@@ -430,5 +432,5 @@
             msg = "XML document does not contain P(r) "
             msg += "information.\n %s" % sys.exc_value
-            logging.info(msg)
+            logger.info(msg)
 
         return state
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision a69a967b8ace2263edf57d6328d2ece6d26f1492)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -34,4 +34,6 @@
 from pr_widgets import load_error
 from sas.sasgui.guiframe.plugin_base import PluginBase
+
+logger = logging.getLogger()
 
 
@@ -113,5 +115,5 @@
 
         # Log startup
-        logging.info("Pr(r) plug-in started")
+        logger.info("Pr(r) plug-in started")
 
     def delete_data(self, data_id):
@@ -181,5 +183,5 @@
             self.control_panel.set_state(state)
         except:
-            logging.error("prview.set_state: %s" % sys.exc_value)
+            logger.error("prview.set_state: %s" % sys.exc_value)
 
 
@@ -508,5 +510,5 @@
                     data_err = numpy.append(data_err, err)
                 except:
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
 
         if not scale == None:
@@ -559,5 +561,5 @@
                         data_err = numpy.append(data_err, err)
                     except:
-                        logging.error(sys.exc_value)
+                        logger.error(sys.exc_value)
                 elif line.find("The 6 columns") >= 0:
                     data_started = True
@@ -1201,5 +1203,5 @@
             dataset = panel.plots[panel.graph.selected_plottable].name
         else:
-            logging.info("Prview Error: No data is available")
+            logger.info("Prview Error: No data is available")
             return
 
@@ -1211,5 +1213,5 @@
         except:
             self.control_panel.alpha = self.alpha
-            logging.info("Prview :Alpha Not estimate yet")
+            logger.info("Prview :Alpha Not estimate yet")
         try:
             estimate = int(self.control_panel.nterms_estimate)
@@ -1217,5 +1219,5 @@
         except:
             self.control_panel.nfunc = self.nfunc
-            logging.info("Prview : ntemrs Not estimate yet")
+            logger.info("Prview : ntemrs Not estimate yet")
 
         self.current_plottable = panel.plots[panel.graph.selected_plottable]
Index: src/sas/sasgui/perspectives/simulation/simulation.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/simulation.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/simulation/simulation.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -24,4 +24,6 @@
 from sas.sascalc.data_util.calcthread import CalcThread
 from sas.guicomm.events import NewPlotEvent, StatusEvent    
+
+logger = logging.getLogger()
 
 class Calc1D(CalcThread):
@@ -93,5 +95,5 @@
         self._default_save_location = os.getcwd()
         # Log startup
-        logging.info("Simulation plug-in started")
+        logger.info("Simulation plug-in started")
         
     def get_panels(self, parent):
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision a5b8253583189ae64cae0529b92e16221f283019)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -33,4 +33,6 @@
 from sas.sasgui.guiframe.events import StatusEvent
 from .toolbar import NavigationToolBar, PlotPrintout, bind
+
+logger = logging.getLogger()
 
 def show_tree(obj, d=0):
@@ -1506,5 +1508,5 @@
                     from mpl_toolkits.mplot3d import Axes3D
                 except:
-                    logging.error("PlotPanel could not import Axes3D")
+                    logger.error("PlotPanel could not import Axes3D")
                 self.subplot.figure.clear()
                 ax = Axes3D(self.subplot.figure)
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision d7bb5267934b5676c90b1655346a3793a8022965)
+++ src/sas/sasgui/plottools/binder.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -4,4 +4,6 @@
 import sys
 import logging
+
+logger = logging.getLogger()
 
 class Selection(object):
@@ -121,5 +123,5 @@
             for cid in self._connections: self.canvas.mpl_disconnect(cid)
         except:
-            logging.error("Error disconnection canvas: %s" % sys.exc_value)
+            logger.error("Error disconnection canvas: %s" % sys.exc_value)
         self._connections = []
 
Index: src/sas/sasgui/plottools/canvas.py
===================================================================
--- src/sas/sasgui/plottools/canvas.py	(revision d7bb5267934b5676c90b1655346a3793a8022965)
+++ src/sas/sasgui/plottools/canvas.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -11,4 +11,6 @@
 from matplotlib.backends.backend_wx import RendererWx
 
+logger = logging.getLogger()
+
 
 def draw_image(self, x, y, im, bbox, clippath=None, clippath_trans=None):
@@ -96,5 +98,5 @@
             dc.DrawBitmap(self.canvas.bitmap, (0, 0))
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
     # restore original figure  resolution
@@ -207,5 +209,5 @@
                 fig.draw(self)
             except ValueError:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
         else:
             self._isRendered = False
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision a9f579c8400c480f42c42445e1ff4dab09a6baa4)
+++ src/sas/sasgui/plottools/plottables.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -46,4 +46,6 @@
 import sys
 import logging
+
+logger = logging.getLogger()
 
 if 'any' not in dir(__builtins__):
@@ -808,6 +810,6 @@
                         tempdy.append(self.dy[i])
                 except:
-                    logging.error("check_data_logX: skipping point x %g", self.x[i])
-                    logging.error(sys.exc_value)
+                    logger.error("check_data_logX: skipping point x %g", self.x[i])
+                    logger.error(sys.exc_value)
             self.x = tempx
             self.y = tempy
@@ -838,6 +840,6 @@
                         tempdy.append(self.dy[i])
                 except:
-                    logging.error("check_data_logY: skipping point %g", self.y[i])
-                    logging.error(sys.exc_value)
+                    logger.error("check_data_logY: skipping point %g", self.y[i])
+                    logger.error(sys.exc_value)
 
             self.x = tempx
Index: src/sas/sasgui/plottools/toolbar.py
===================================================================
--- src/sas/sasgui/plottools/toolbar.py	(revision d7bb5267934b5676c90b1655346a3793a8022965)
+++ src/sas/sasgui/plottools/toolbar.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -6,4 +6,6 @@
 from matplotlib.backends.backend_wx import _load_bitmap
 import logging
+
+logger = logging.getLogger()
 
 # Event binding code changed after version 2.5
@@ -94,5 +96,5 @@
             self._parent.onToolContextMenu(event=event)
         except:
-            logging.error("Plot toolbar could not show menu")
+            logger.error("Plot toolbar could not show menu")
 
     def context_menu(self, event):
@@ -122,5 +124,5 @@
         except:
             import traceback
-            logging.error(traceback.format_exc())
+            logger.error(traceback.format_exc())
 
     def copy_figure(self, event):
Index: test/logging.ini
===================================================================
--- test/logging.ini	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ test/logging.ini	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -0,0 +1,47 @@
+
+###############################################################################
+################################### LOGGING ###################################
+###############################################################################
+
+[formatters]
+keys=simple,detailed
+
+[formatter_simple]
+format=%(name)s: %(levelname)s: %(message)s
+ 
+[formatter_detailed]
+format=%(name)s: %(levelname)s %(module)s: %(lineno)d: %(message)s
+
+###############################################################################
+# Handlers
+
+[handlers]
+keys=console,log_file
+
+[handler_console]
+class=logging.StreamHandler
+formatter=simple
+level=DEBUG
+args=tuple()
+
+[handler_log_file]
+class=logging.FileHandler
+level=INFO
+formatter=detailed
+args=(os.path.join(os.path.expanduser("~"),'.sasview/tests.log'),"w")
+
+###############################################################################
+# Loggers
+
+[loggers]
+keys=root,sas
+
+[logger_root]
+level=DEBUG
+formatter=default
+handlers=console,log_file
+
+[logger_sas]
+level=INFO
+qualname=sas
+handlers=console,log_file
Index: test/run_one.py
===================================================================
--- test/run_one.py	(revision 76f132a28f8a87fc91ae4fe9b234ceda800fa202)
+++ test/run_one.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -7,4 +7,10 @@
 import imp
 from os.path import abspath, dirname, split as splitpath, join as joinpath
+
+import logging
+import logging.config
+LOGGER_CONFIG_FILE = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'logging.ini')
+logging.config.fileConfig(LOGGER_CONFIG_FILE, disable_existing_loggers=False)
+logger = logging.getLogger()
 
 run_py = joinpath(dirname(dirname(abspath(__file__))), 'run.py')
Index: test/sasdataloader/test/testLoad.py
===================================================================
--- test/sasdataloader/test/testLoad.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasdataloader/test/testLoad.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -4,11 +4,4 @@
     It is create in the folder where test is runned
 """
-import logging
-logging.basicConfig(level=logging.DEBUG,
-                    format='%(asctime)s %(levelname)s %(message)s',
-                    filename='test_log.txt',
-                    filemode='w')
-
-
 
 import unittest
@@ -16,4 +9,7 @@
 import sas.sascalc.dataloader
 from sas.sascalc.dataloader.loader import  Loader
+
+import logging
+logger = logging.getLogger()
 
 # Check whether we should test image loading on this system 
@@ -42,5 +38,5 @@
 
 class testLoader(unittest.TestCase):
-    logging.debug("Inside testLoad module")
+    logger.debug("Inside testLoad module")
     
     """ test fitting """
@@ -118,6 +114,6 @@
         try:self.L.load('AR07232_rest.ASC')
         except ValueError,msg:
-           #logging.log(10,str(msg))
-           logging.error(str(msg))
+           #logger.log(10,str(msg))
+           logger.error(str(msg))
 
     def testload3_lowercase(self):
@@ -133,6 +129,6 @@
         try:self.L.load('AR07232_rest.ASC')
         except ValueError,msg:
-           #logging.log(10,str(msg))
-           logging.error(str(msg))
+           #logger.log(10,str(msg))
+           logger.error(str(msg))
     def testload4(self):
         """ Testing loading danse file"""
@@ -145,6 +141,6 @@
         try: self.L.load('P_New.sans')
         except ValueError,msg:
-           #logging.log(40,str(msg))
-           logging.error(str(msg))
+           #logger.log(40,str(msg))
+           logger.error(str(msg))
         #else: raise ValueError,"No error raised for missing extension"
         
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 1686a333c537addee2a00ed89b00c694826a8f17)
+++ test/sasdataloader/test/utest_cansas.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -21,4 +21,6 @@
 from lxml import etree
 from xml.dom import minidom
+
+logger = logging.getLogger()
 
 warnings.simplefilter("ignore")
@@ -57,5 +59,5 @@
     def test_invalid_xml(self):
         """
-        Should fail gracefully and send a message to logging.info()
+        Should fail gracefully and send a message to logger.info()
         """
         invalid = StringIO.StringIO('<a><c></b></a>')
Index: test/utest_sasview.py
===================================================================
--- test/utest_sasview.py	(revision 35ec2791ba4240f8154f552ce6ead4e850779a20)
+++ test/utest_sasview.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
@@ -4,9 +4,16 @@
 import re
 import sys
+
+import logging
+import logging.config
+LOGGER_CONFIG_FILE = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'logging.ini')
+logging.config.fileConfig(LOGGER_CONFIG_FILE, disable_existing_loggers=False)
+logger = logging.getLogger()
+
 try:
     import xmlrunner
 except:
-    print "xmlrunner needs to be installed to run these tests"
-    print "Try easy_install unittest-xml-reporting"
+    logger.error("xmlrunner needs to be installed to run these tests")
+    logger.error("Try easy_install unittest-xml-reporting")
     sys.exit(1)
 
